Name:		libqttracker
Summary:	Qt Bindings for the Tracker media indexing infrastructure
Version:	6.11.0
Release:	2%{?dist}
Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://maemo.gitorious.org/maemo-af/libqttracker
# extracted from http://repo.meego.com/MeeGo/builds/trunk/1.0.90.0.20100831.1/core/repos/source/libqttracker-6.11.0-1.5.src.rpm
Source0:	%{name}-%{version}.tar.bz2
Patch0:		libqttracker-6.8.4-build_subdirs_in_order.patch
Patch1:		libqttracker-6.8.4-disable-testhelper.patch
Patch2:		libqttracker-6.8.4-fix-pkgconfig-file.patch
BuildRequires:	qt4-devel
BuildRequires:	libuuid-devel

%description
LibQtTracker is a Qt convenience library for accessing tracker.

%package devel
Summary:	Development files for building Qt based tracker applications
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the files necessary to develop
Qt applications that use tracker for discovering media
on a device and extracting media metadata.

%prep
%setup -q

# libqttracker-6.8.4-build_subdirs_in_order.patch
%patch0 -p1
# libqttracker-6.8.4-disable-testhelper.patch
%patch1 -p1
# libqttracker-6.8.4-fix-pkgconfig-file.patch
%patch2 -p1

sed -i 's\PREFIX/lib\PREFIX/%{_lib}\g' src/src.pro
sed -i 's/\$\$DESTDIR\/pkgconfig/pkgconfig/g' src/src.pro

%build
export PATH=%{_qt4_bindir}:$PATH
%{_qt4_qmake} PREFIX=%{_prefix} QMAKE_CXXFLAGS+="%{optflags}"
make %{?_smp_mflags}

%install
make install INSTALL="install -p" INSTALL_ROOT=%{buildroot}

# Remove tests for now
rm -f %{buildroot}%{_bindir}/{mafwsuite,*tests}
rm -rf %{buildroot}%{_datadir}/libqttracker-tests

%check
#make %{?_smp_mflags} check -C tests

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING.LIB AUTHORS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/*.prl
%{_libdir}/pkgconfig/*.pc
%{_includedir}/QtTracker

%changelog
* Mon Sep 06 2010 Chen Lei <supercyper@163.com> - 6.11.0-2
- Add a permanent link for source file

* Wed Sep 01 2010 Chen Lei <supercyper@163.com> - 6.11.0-1
- Update to release tag 1pre6.11.0

* Sun Jul 18 2010 Chen Lei <supercyper@163.com> - 6.9.8-1
- Update to release tag 1pre6.9.8+1

* Thu Jul 08 2010 Chen Lei <supercyper@163.com> - 6.9.2-1
- Initial packaging for Fedora

* Tue Jun  1 2010 Kaitlin Rupert <kaitlin.rupert@intel.com> - 6.9.2
- Update to release 6.9.2 (tag 1pre6.9.2) to resolve BMC #2293
